import { createAction, props } from '@ngrx/store';
import { UpdateInfo } from '@ucap-webmessenger/native';

export const existInstantUpdate = createAction(
  '[Setting::Update] existInstantUpdate',
  props<{ updateInfo: UpdateInfo }>()
);

export const applyInstantUpdate = createAction(
  '[Setting::Update] applyInstantUpdate'
);
